Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7286 - control-panel segfaults upon invocation
Summary: control-panel segfaults upon invocation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-panel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-24 13:08 UTC by maavl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-31 22:16:09 UTC


Attachments (Terms of Use)

Description maavl 1999-11-24 13:08:36 UTC
After upgrading from 5.1 to 6.1, any attempt to start control-panel results
in a segfault. Here is some gdb and rpm output:

root@Young /root]# gdb /usr/bin/control-panel
GNU gdb 4.18
Copyright bla bla.
This GDB was configured as "i386-redhat-linux"...(no debugging symbols
found)...
(gdb) r
Starting program: /usr/bin/control-panel
(no debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...
(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
0x402b8e79 in chunk_free (ar_ptr=0x4034d040, p=0xfdd84aac) at malloc.c:3030
3030	malloc.c: No such file or directory.
(gdb) bt
#0  0x402b8e79 in chunk_free (ar_ptr=0x4034d040, p=0xfdd84aac) at
malloc.c:3030
#1  0x402b8bfd in chunk_alloc (ar_ptr=0x4034d040, nb=24) at malloc.c:2541
#2  0x402b840a in __libc_malloc (bytes=20) at malloc.c:2643
#3  0x804a193 in userpanel_parse_root_items ()
#4  0x80498ea in userpanel_create ()
#5  0x80498a5 in main ()
#6  0x402781eb in __libc_start_main (main=0x8049890 <main>, argc=1,
argv=0xbffffbe4, init=0x8049380 <_init>,
    fini=0x804a2dc <_fini>, rtld_fini=0x4000a610 <_dl_fini>,
stack_end=0xbffffbdc)
    at ../sysdeps/generic/libc-start.c:90
(gdb)

root@Young /root]# rpm -qi control-panel
Name        : control-panel                Relocations: (not relocateable)
Version     : 3.11                              Vendor: Red Hat Software
Release     : 2                             Build Date: Tue 06 Apr 1999
01:23:16 AM CEST
Install date: Fri 29 Oct 1999 12:27:53 PM CEST      Build Host:
porky.devel.redhat.com
Group       : System Environment/Base       Source RPM:
control-panel-3.11-2.src.rpm
Size        : 179744                           License: GPL
Packager    : Red Hat Software <http://developer.redhat.com/bugzilla>
Summary     : A Red Hat program launcher for the X Window System.
...

Comment 1 Nalin Dahyabhai 2000-03-09 23:30:59 UTC
There was severe sloppiness in older vesions of control-panel.  Can you try the
latest version (3.13 or later) from Raw Hide and let me know if you continue to
experience crashes?

Comment 2 Nalin Dahyabhai 2000-03-10 16:18:59 UTC
[per private email re: what is Raw Hide?]
Raw Hide, our release containing the latest versions of packages from our devel
tree, is available at ftp://ftp.redhat.com/pub/rawhide/.  Not all mirrors carry
Raw Hide.  The original press release that announced the creation of Raw Hide is
viewable at "http://www.redhat.com/about/1998/press_aug1498.html".

Comment 3 Tim Waugh 2000-03-31 10:40:59 UTC
I don't think this is fixed in 6.2.  Here's how I can reproduce it easily:

# cd /usr/lib/rhs/control-panel
# touch comanche.init
# control-panel

A possible work-around is:

# cd /usr/lib/rhs/control-panel
# mv comanche.init comanche.init.notused

Comment 4 Bill Nottingham 2000-03-31 19:46:59 UTC
Tim - is this fixed if you grab the latest control-panel build (3.14-1)?

Comment 5 Nalin Dahyabhai 2000-03-31 22:16:59 UTC
Malformed .init file problems are fixed in 3.15, coming soon to a Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/) snapshot near you.


Note You need to log in before you can comment on or make changes to this bug.